# MeshDataStructure::TVertex Class Reference

Inheritance diagram for MeshDataStructure::TVertex:

List of all members.

## Public Member Functions
| TVertex (TVertexArray &vertexArray, const uint32 index)
void | AddPolygon (int32 polygonIndex)
void | RemovePolygon (int32 polygonIndex)
void | AddEdge (int32 edgeIndex)
void | RemoveEdge (int32 edgeIndex)
void | SetPosition (const TVector3 &position)
int32 | AddUVs (const TVector2 &newUV)
void | SetUVCount (const int32 count)
void | SetUV (const TVector2 &uv, const int32 index)
void | SetUVs (const TUVData &uvs)
TUVData & | GetUVs ()
void | SetBarycentricCoordinatesCount (const int32 count)
void | SetBarycentricCoordinates (const TVector3 &coordinates, const int32 index)
TVector3 & | GetNormal (const int32 index)
TNormalData & | GetNormals () const
void | SetEdgeCount (int32 count)
void | SetPolygonCount (int32 count)
void | SetColor (const TMCColorRGBA8 &color)

## Detailed Description

light weight data structure that stores a vertex in a connected mesh.

## Constructor & Destructor Documentation

MeshDataStructure::TVertex::TVertex | ( | TVertexArray & | vertexArray,
|  | const uint32 | index |
| ) |  |  | `[inline]`

## Member Function Documentation

void MeshDataStructure::TVertex::AddEdge | ( | int32 | edgeIndex | ) | `[inline]`

void MeshDataStructure::TVertex::AddPolygon | ( | int32 | polygonIndex | ) |

Adds a polygon that contains this vertex.

Parameters:

  | polygonIndex | The index of the polygon in the mesh

int32 MeshDataStructure::TVertex::AddUVs | ( | const TVector2 & | newUV | ) |

TVector3& MeshDataStructure::TVertex::GetNormal | ( | const int32 | index | ) | `[inline]`

TNormalData& MeshDataStructure::TVertex::GetNormals | ( |  | ) | const`[inline]`

Reimplemented from MeshDataStructure::TConstVertex.

TUVData& MeshDataStructure::TVertex::GetUVs | ( |  | ) | `[inline]`

void MeshDataStructure::TVertex::RemoveEdge | ( | int32 | edgeIndex | ) |

void MeshDataStructure::TVertex::RemovePolygon | ( | int32 | polygonIndex | ) |

void MeshDataStructure::TVertex::SetBarycentricCoordinates | ( | const TVector3 & | coordinates,
|  | const int32 | index |
| ) |  |  | `[inline]`

void MeshDataStructure::TVertex::SetBarycentricCoordinatesCount | ( | const int32 | count | ) | `[inline]`

void MeshDataStructure::TVertex::SetColor | ( | const TMCColorRGBA8 & | color | ) | `[inline]`

void MeshDataStructure::TVertex::SetEdgeCount | ( | int32 | count | ) | `[inline]`

void MeshDataStructure::TVertex::SetPolygonCount | ( | int32 | count | ) | `[inline]`

void MeshDataStructure::TVertex::SetPosition | ( | const TVector3 & | position | ) | `[inline]`

void MeshDataStructure::TVertex::SetUV | ( | const TVector2 & | uv,
|  | const int32 | index |
| ) |  |  | `[inline]`

void MeshDataStructure::TVertex::SetUVCount | ( | const int32 | count | ) | `[inline]`

void MeshDataStructure::TVertex::SetUVs | ( | const TUVData & | uvs | ) | `[inline]`

The documentation for this class was generated from the following file:

- MeshDataStructure.h